Bug 209199 - ftp/proftpd: libmemcached enabled - instalation failed
Summary: ftp/proftpd: libmemcached enabled - instalation failed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-02 12:48 UTC by marek.bedy
Modified: 2018-01-14 15:25 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mm)


Attachments
Fix proftpd modules (512 bytes, patch)
2016-05-04 13:56 UTC, Steven Hartland
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description marek.bedy 2016-05-02 12:48:43 UTC
Hello,

i have a problem with the instalation of the proftpd-1.3.5b port. The compilation runs ok, but a problem is with the instalation, some files are missing. 

# make install
===>  Installing for proftpd-1.3.5b
===>   proftpd-1.3.5b depends on file: /usr/local/lib/libcrypto.so.8 - found
===>   proftpd-1.3.5b depends on shared library: libmemcached.so - found (/usr/local/lib/libmemcached.so)
===>   proftpd-1.3.5b depends on shared library: libpcre.so - found (/usr/local/lib/libpcre.so)
===>   proftpd-1.3.5b depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===>   Registering installation for proftpd-1.3.5b

pkg-static: Unable to access file /usr/ports/ftp/proftpd/work/stage/usr/local/libexec/proftpd/mod_memcache.a: No such file or directory
pkg-static: Unable to access file /usr/ports/ftp/proftpd/work/stage/usr/local/libexec/proftpd/mod_memcache.so: No such file or directory
pkg-static: Unable to access file /usr/ports/ftp/proftpd/work/stage/usr/local/libexec/proftpd/mod_tls_memcache.a: No such file or directory
pkg-static: Unable to access file /usr/ports/ftp/proftpd/work/stage/usr/local/libexec/proftpd/mod_tls_memcache.so: No such file or directory
*** Error code 74

Stop.
make[1]: stopped in /usr/ports/ftp/proftpd
*** Error code 1

Stop.
make: stopped in /usr/ports/ftp/proftpd
Comment 1 Steven Hartland freebsd_committer 2016-05-04 13:56:51 UTC
Created attachment 169964 [details]
Fix proftpd modules

The attached patch fixes the use of modules in proftpd which was broken by r413681
Comment 2 commit-hook freebsd_committer 2016-05-04 18:07:45 UTC
A commit references this bug:

Author: mm
Date: Wed May  4 18:06:58 UTC 2016
New revision: 414606
URL: https://svnweb.freebsd.org/changeset/ports/414606

Log:
  Include bsd.port.options.mk

  PR:	ports/209199

Changes:
  head/ftp/proftpd/Makefile
Comment 3 marek.bedy 2016-05-05 11:14:08 UTC
Solved.
Comment 4 Matthew Seaman freebsd_committer 2017-06-09 16:40:28 UTC
This appears to have been fixed?  I there any reason to keep the PR open?
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-01-14 01:10:55 UTC
Forgotten to close?